Subject: Re: [PATCH (resend)] gitweb: Use --no-commit-id in git_commit and git_commitdiff

From: Jakub Narebski <[email-masked]>
Date: Thu, 26 Oct 2006 11:37:11 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > Use --no-commit-id option to git-diff-tree command in git_commit and
> > git_commitdiff to filter out commit ID output that git-diff-tree adds
> > when called with only one <tree-ish> (not only for --stdin). Remove
> > filtering commit IDs from git-diff-tree output.
> >
> > This option is in git since at least v1.0.0, so make use of it.
> 
> *BLUSH*
> 
> I think we would need something like this, if only for
> completeness.
> 
> -- >8 --
> [PATCH] combine-diff: honour --no-commit-id
> 
> Somehow we forgot to look at no_commit_id flag in these
> codepaths.

It's good that I haven't started coding support for combined commitdiff
in gitweb, as I would probably wonder why the code doesn't work ;-)
-- 
Jakub Narebski